VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
VisiMath.Collisions.CollisionSolver.ClosestPoint Class Reference

List of all members.

## Static Public Member Functions
static void | LineQuad (ref Vector3 origin, ref Vector3 normal, Vector3[] quad, out Vector3 onQuad, out float t)
| Calculates closest point on the inifinite line to quad.
static void | LineOOBox (ref Vector3 origin, ref Vector3 normal, OOBox box, out Vector3 onbox, out float t)
| Calculates closest point on the inifinite line to oobox.
static void | LineSegmentOOBox (ref Vector3 origin, ref Vector3 target, OOBox box, out Vector3 onbox, out Vector3 online)
| Calculates closest point on the line to oobox.

## Member Function Documentation

static void VisiMath.Collisions.CollisionSolver.ClosestPoint.LineOOBox | ( | ref Vector3 | origin,
|  | ref Vector3 | normal,
|  | OOBox | box,
|  | out Vector3 | onbox,
|  | out float | t
| ) |  | `[static]`

Calculates closest point on the inifinite line to oobox.

Parameters:

  origin | Origin of the line
  normal | Normal of the line
  box | OObox
  onbox | Closest point on the box
  t | parameter t for line to reach the closest point

static void VisiMath.Collisions.CollisionSolver.ClosestPoint.LineQuad | ( | ref Vector3 | origin,
|  | ref Vector3 | normal,
|  | Vector3[] | quad,
|  | out Vector3 | onQuad,
|  | out float | t
| ) |  | `[static]`

Calculates closest point on the inifinite line to quad.

Parameters:

  origin | Origin of the line
  normal | Normal of the line
  quad | Quad vertices
  onQuad | Closest point on the quad
  t | parameter t for line to reach the closest point

static void VisiMath.Collisions.CollisionSolver.ClosestPoint.LineSegmentOOBox | ( | ref Vector3 | origin,
|  | ref Vector3 | target,
|  | OOBox | box,
|  | out Vector3 | onbox,
|  | out Vector3 | online
| ) |  | `[static]`

Calculates closest point on the line to oobox.

Parameters:

  origin | Origin of the line
  target | End of the line
  box | OObox
  onbox | Closest point on the box
  t | parameter t for line to reach the closest point

The documentation for this class was generated from the following file:

- CollisionSolver.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events